Tag: rpm

CentOS 7 linux-прошивка – как его урезать?

CentOS 7 объединил несколько пакетов прошивок в linux-firmware и сделал их зависимыми от ядер. Есть ли простой способ создать урезанную версию этого, удалив те пакеты прошивок, которые, как я знаю, мне не нужны, поскольку я никогда не устанавливал их для CentOS 6 на тех же платформах?

что внутри папки слабого обновления?

Во-первых, установите пакет драйверов в ОС (например, CentOS) – foo_1.0.rpm Во-вторых, установите тот же драйвер, но другую версию – foo_2.0.rpm rpm -ivh –force foo_2.0.rpm Кажется, была создана дополнительная папка с именем / weak_update / @ /usr/lib/modules/3.xxxx/weak-updates/ Кажется, что содержимое / weak-updates / такое же, как и в foo_1.0. что это / слабые обновления / использование?

yum – скачать для CentOS с помощью ubuntu?

У меня есть корпоративная сеть, люди, похоже, не хотят загружать rpm и зависимости для CentOS . Как я могу yum –download pkg_name –directory my_repo в системе, которая не использует yum в качестве системы упаковки, такой как Ubuntu или debian?

Как установить VTK (с Python Wrapper) на Red Hat Enterprise Linux (RHEL)

Программа, которую мне нужно скомпилировать, зависит от VTK v5.4 + с Python Wrapper. VTK не входит в стандартную репо ЮМ. Как установить эту зависимость? Я запускаю RHEL 7 под подпиской разработчика.

Использует ли yum время сборки пакета, чтобы решить, является ли пакет более новым?

Скажем, я установил mypkg-1.2.3-4567.noarch.rpm из некоторого mypkg-1.2.3-4567.noarch.rpm yum. Действительно ли издатель rpm повторно публикует mypkg с той же версией и выпуском и просто запускает createrepo –update ? Рекомендуется ли это? Если # 1 разрешено, будет ли yum обновлять мою установку mypkg, если я запустил yum install mypkg снова?

Проблема: ничего не предоставляет libcrypto.so.10 () (64 бит), необходимый Percona-Server-client-57-5.7.10-3.1.el7.x86_64

Я пытаюсь установить загруженные percona RPM percona : > ls -1 Percona-Server-5.7.10-3-r63dafaf-el7-x86_64-bundle.tar Percona-Server-57-debuginfo-5.7.10-3.1.el7.x86_64.rpm Percona-Server-client-57-5.7.10-3.1.el7.x86_64.rpm Percona-Server-devel-57-5.7.10-3.1.el7.x86_64.rpm Percona-Server-server-57-5.7.10-3.1.el7.x86_64.rpm Percona-Server-shared-57-5.7.10-3.1.el7.x86_64.rpm Percona-Server-shared-compat-57-5.7.10-3.1.el7.x86_64.rpm Percona-Server-test-57-5.7.10-3.1.el7.x86_64.rpm Percona-Server-tokudb-57-5.7.10-3.1.el7.x86_64.rpm Запустив следующую команду: > sudo zypper in Percona-Server-*.rpm Но я получаю эту ошибку: Problem: nothing provides libcrypto.so.10()(64bit) needed by Percona-Server-client-57-5.7.10-3.1.el7.x86_64 Solution 1: do not install Percona-Server-client-57-5.7.10-3.1.el7.x86_64 Solution 2: break Percona-Server-client-57-5.7.10-3.1.el7.x86_64 by ignoring some of its […]

Как установить ключ RPM в моей системе Amazon Linux?

Я использую Amazon Linux. Вот информация о uname [myuser@mymachine3 ~]$ uname -a Linux mymachine3 4.8.18-12.31.amzn1.x86_64 #1 SMP Thu Jun 22 06:20:54 UTC 2017 x86_64 x86_64 x86_64 GNU/Linux У меня возникли проблемы с импортом ключа, который мне нужен для установки RPM. Вот что я делаю, и ошибка, которую я получаю [myuser@mymachine3 ~]$ wget https://dl-ssl.google.com/linux/linux_signing_key.pub –2017-08-25 14:38:31– […]

Как перестроить /etc/cron.d на CentOS?

Я установил RPM на машине CentOS, которая должна была объединить свои собственные файлы, содержащиеся в структуре /etc/cron.d с текущим /etc/cron.d . Однако он заменил текущее содержимое. Я считаю, что cron.d является символической cron.d . Как получить исходный /etc/cron.d ?

Как установить MySql на Red Hat 6.1?

Я пытаюсь установить MySQL-server-5.6.12-1.el6.i686.rpm на MySQL-server-5.6.12-1.el6.i686.rpm Red Hat Enterprise 6.1. Я получаю следующую ошибку: rpm -Uvh MySQL-server-5.6.12-1.el6.i686.rpm error: Failed dependencies: libaio.so.1 is needed by MySQL-server-5.6.12-1.el6.i686 libaio.so.1(LIBAIO_0.1) is needed by MySQL-server-5.6.12-1.el6.i686 libaio.so.1(LIBAIO_0.4) is needed by MySQL-server-5.6.12-1.el6.i686 libc.so.6 is needed by MySQL-server-5.6.12-1.el6.i686 libc.so.6(GLIBC_2.0) is needed by MySQL-server-5.6.12-1.el6.i686 libc.so.6(GLIBC_2.1) is needed by MySQL-server-5.6.12-1.el6.i686 libc.so.6(GLIBC_2.1.2) is needed by MySQL-server-5.6.12-1.el6.i686 […]

Обновление Java на Linux

Моя машина в настоящее время имеет: [support@turndownForWhat sbin]$ java -version java version "1.5.0_10" Я хотел бы узнать, есть ли способ установить / извлечь java 1.7 в конкретный каталог и НЕ обновить 1.5?

Linux и Unix - лучшая ОС в мире.